Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000799Core InformPhrases and functional programmingpublic2011-11-07 07:482014-05-07 07:33
ReporterEmacsUser 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.6
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000799: Parenthetical "called" annotations are allowed in descriptions passed as arguments
DescriptionThe attached source is accepted and declares a variable bar (with the specific type room rather than object), but it never initializes bar.
Minimal Source Text To Reproduce
There is a room.
When play begins:
	let foo be a random person in a room (called bar);
	showme foo;
	showme bar.
TagsNo tags attached.
Effect(mild) Compiler accepts invalid code
Attached Files

- Relationships
related to 0001099closedgraham Callings allows type violations 

-  Notes
(0002462)
graham (administrator)
2014-02-09 10:22

I don't see why this shouldn't be legal Inform, so I've made it work rather than reject it with a problem.

- Issue History
Date Modified Username Field Change
2011-11-07 07:48 EmacsUser New Issue
2011-11-12 14:32 jmcgrew Status new => confirmed
2013-04-06 18:58 EmacsUser Relationship added related to 0001099
2014-02-09 10:22 graham Note Added: 0002462
2014-02-09 10:22 graham Status confirmed => resolved
2014-02-09 10:22 graham Resolution open => fixed
2014-02-09 10:22 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker